> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get global audience

> Get global statistics for all tracked segments



## OpenAPI

````yaml /automation.api.json get /audiences/global
openapi: 3.0.3
info:
  title: OpenAPI definition for automation api
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account.You can retrieve it to
      view its properties, such as its current e-mail address or locale.With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> Not all settings are exposed via
      the API. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag is used to  help our clients implement new features, test and
      deploy them viaour SDK. This service allows you to create and configure
      the feature flag which will be used in the source code of your feature.
    name: FeatureFlag
  - description: >
      You can use your account to set up multiple websites.This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment,It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that is already available,such as user account
      information.
    name: CustomData
  - description: >-
      Experiment is an A/B test which can be targeted to a specific audience or
      any other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can be used to achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      be linked to one or several goals. All goals can be managed through
      Kameleoon interface or Automation API. There are variety of different
      goals you can choose from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that `KeyMoment`
      has now been renamed to `Triggers`.
    name: KeyMoment
  - description: >-
      KeyPage allows you to target visitors that have visited a particular page,
      or multiple pages on your website.
    name: KeyPage
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: ProjectThemeConfig
  - description: This is an object representing recommender block
    name: RecommenderBlock
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors.You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: StudioRecommenderBlock
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: TakeawayComment
  - description: >-
      TargetingRule is a system entity that combines segments (user groups) and
      triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: TargetingRule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that can be edited for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started.All changes will be saved in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: WidgetStudio
  - description: This is an object representing widget studio template
    name: WidgetStudioTemplate
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Gaining
      insights into your website's audience is essential for effectively
      adjusting segments.
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      Personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /audiences/global:
    get:
      tags:
        - Audience
      summary: Get global audience
      description: Get global statistics for all tracked segments
      operationId: get-global-audience
      parameters:
        - name: request
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/GetSegmentsGlobalStatsRequest'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DataCodeResponseIO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ServiceError'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ServiceError'
      security:
        - bearerAuth: []
components:
  schemas:
    GetSegmentsGlobalStatsRequest:
      required:
        - analyticsLevel
        - endDate
        - siteId
        - startDate
      type: object
      properties:
        siteId:
          type: integer
          description: >-
            Audience are calculated for segments configured in audience config
            for a site
          format: int64
        startDate:
          type: string
          description: Audience will be calculated since the date YYYY-MM-DD
          format: date
          example: '2020-07-22'
        endDate:
          type: string
          description: Audience will be calculated till the date YYYY-MM-DD
          format: date
          example: '2020-07-22'
        analyticsLevel:
          type: string
          description: Indicates at what level the calculations will be made.
          enum:
            - VISIT
            - VISITOR
        filters:
          type: array
          description: List of filters to apply on audience results.
          items:
            oneOf:
              - $ref: '#/components/schemas/ExperimentAudienceFilter'
              - $ref: '#/components/schemas/FavoriteAudienceFilter'
              - $ref: '#/components/schemas/GoalAudienceFilter'
              - $ref: '#/components/schemas/PersonalizationAudienceFilter'
              - $ref: '#/components/schemas/SegmentAudienceFilter'
              - $ref: '#/components/schemas/SegmentCriteriaAudienceFilter'
    DataCodeResponseIO:
      type: object
      properties:
        dataCode:
          type: string
          description: >-
            Hash code containing information about the data request, such as
            dates, goals, variations, format, filters, and so on.

            Use this code in the AudienceController#poll or DataController
            functions to obtain actual results.

            There are two possible formats for the code, depending on the
            context: 123...123 or 123...123|123...123.

            For example, AudienceController#global generates the latter.
          example: >-
            89599333501501534304101214660291496129464311669540935471556471877530843827432
    ServiceError:
      type: object
      properties:
        serviceName:
          type: string
        message:
          type: string
    ExperimentAudienceFilter:
      required:
        - id
        - type
      type: object
      description: Filter audience by experiment and its associated variations.
      allOf:
        - $ref: '#/components/schemas/AudienceFilter'
        - type: object
          properties:
            id:
              type: integer
              description: Experiment's id for this filter
              format: int64
              readOnly: true
            variationIds:
              uniqueItems: true
              type: array
              description: List of associated variation ids for this experiment filter
              readOnly: true
              items:
                type: integer
                description: List of associated variation ids for this experiment filter
                format: int64
                readOnly: true
            include:
              type: boolean
    FavoriteAudienceFilter:
      required:
        - type
      type: object
      description: Filter audience by favorite segments.
      allOf:
        - $ref: '#/components/schemas/AudienceFilter'
        - type: object
          properties:
            include:
              type: boolean
              description: Boolean value to include or exclude favorite segments.
    GoalAudienceFilter:
      required:
        - type
      type: object
      description: Filter audience by goals.
      allOf:
        - $ref: '#/components/schemas/AudienceFilter'
        - type: object
          properties:
            ids:
              type: array
              description: List of goal ids
              readOnly: true
              items:
                type: integer
                description: List of goal ids
                format: int64
                readOnly: true
            include:
              type: boolean
    PersonalizationAudienceFilter:
      required:
        - exposition
        - id
        - type
      type: object
      description: Filter audience by personalization and its visitor exposition.
      allOf:
        - $ref: '#/components/schemas/AudienceFilter'
        - type: object
          properties:
            include:
              type: boolean
            id:
              type: integer
              description: Personalization unique identifier
              format: int64
              readOnly: true
            exposition:
              type: string
              description: Exposition's behavior for a visitor
              readOnly: true
              enum:
                - ALL
                - EXPOSED
                - NOT_EXPOSED
    SegmentAudienceFilter:
      required:
        - ids
        - type
      type: object
      description: Filter audience by segments.
      allOf:
        - $ref: '#/components/schemas/AudienceFilter'
        - type: object
          properties:
            ids:
              uniqueItems: true
              type: array
              description: Filter audience by segment ids.
              readOnly: true
              items:
                type: integer
                description: Filter audience by segment ids.
                format: int64
                readOnly: true
            include:
              type: boolean
    SegmentCriteriaAudienceFilter:
      required:
        - criterias
        - type
      type: object
      description: Filter audience by segment criteria.
      allOf:
        - $ref: '#/components/schemas/AudienceFilter'
        - type: object
          properties:
            criterias:
              type: array
              description: Filter audience by segment criterias
              readOnly: true
              items:
                $ref: '#/components/schemas/Filter'
    AudienceFilter:
      required:
        - type
      type: object
      properties:
        type:
          type: string
          description: Filter type
          enum:
            - EXPERIMENT
            - GOAL
            - PERSONALIZATION
            - SEGMENT_CRITERIA
            - SEGMENT
            - FAVORITE
      description: List of filters to apply on audience results.
      discriminator:
        propertyName: type
    Filter:
      required:
        - type
      type: object
      properties:
        type:
          type: string
      description: List of filters to apply to the data included in the report.
      discriminator:
        propertyName: type
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````